Subject: RE: MPLS Trafficdriven

From: Geoff Bennett <[email-masked]>
Date: Thu, 26 Apr 2001 07:31:39 +0100

Hi Barry,
Yes it would make sense.  But who sets the DSCP field?

The "end user" can't be allowed to do this because DSCP is used to
prioritise traffic, and everyone would set their traffic to high priority.

The ideal thing would be to build proxy devices to insert the appropriate
value according to a policy.  IMHO the obvious location for such a proxy is
the Ingress LSR.  But the problem is how do you recognise the appropriate
traffic types.

Cheers,
Geoff

At 17:14 25/04/01 -0400, Hass, Barry wrote:
>Hi Geoff,
>
>Would it make sense to use the DSCP field for flow aggregation, perhaps
>in combination with the IP destination address?
>
>Barry
>
>> It makes sense to pursue the idea of data driven LSP setup, but it's
>> essential to combine this approach with a flow aggregation mechanism if we
>> expect to deploy such a technology in "large networks" (eg. a Service
>> Provider).  In theory the Ingress LSR could be given the capability to
>> aggregate flows of information into a single LSP, but the details of how
>> this could be done are generally clouded in marketing smoke and mirrors
>> today.  The issue is that IPv4 lacks either a flow label (which IPv6 has),
>> or a session identifier (that ISO TP4 has) to provide an easy
>> classification mechanism.  The current "edge LSR" implementations are
>> handicapped by these limitations.  So how can they assign or aggregate
>> traffic?  They are normally limited to assignment on the basis of
>> destination IP address (essentially useless in most cases), or by the use
>> of the Port ID, or by some combination of these two.  In other words,
>> whatever criteria you can use to build a filter or ACL, you can use to
>> assign individual packets to an existing LSP (or as a trigger mechanism to
>> create a new LSP). 
>> 
> 
================================================================
Geoff Bennett                             								Tel: (33) 497 21 43 62
Director of Technology, OCTO               						Fax: (33) 497 21 43 50
Marconi
Gaia - Bat. E                           					email: [email-masked]
BP 123
06903 SOPHIA ANTIPOLIS
FRANCE
================================================================

---

From: vola ray <[email-masked]>
Date: Thu, 26 Apr 2001 00:18:26 -0700 (PDT)

geoff,
As U mentioned.....
"But the problem is how do you recognise the appropriate
 traffic types."
Well we can solve this Problem:
In the Ingress Router the ASIC device is already Configured
to handle respective Packet types based on Profiles/Policies.
End user can set the DSCP field in the transmitted IP packet 
to the Ingress Router. Now after receiving the IP Packet, 
Router checks the IP address and the DSCP field then validates 
via looking into the Port number and other stuff. By the way
ASIC must be configured with such stuff to process such Traffic.
Hence if somebody is sending email but prtending this is a VoIP
packet it can be easily detected and either packet can be dropped
or DSCP field changed accordingly. This is completely a configuration
issue as to how to set up the ASIC for what type of traffic.
SNMP or CLI can be used to configure such things.
Hope, this helps........
vola 

> the Ingress LSR.  But the problem is how do you recognise the appropriate

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

---

From: vola ray <[email-masked]>
Date: Thu, 26 Apr 2001 00:18:26 -0700 (PDT)

geoff,
As U mentioned.....

-------
The MPLS-OPS Mailing List
Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

---

From: vola ray <[email-masked]>
Date: Thu, 26 Apr 2001 00:18:26 -0700 (PDT)

geoff,
As U mentioned.....

-------